import type HasCallbackData from "../Interfaces/HasCallbackData";
import type Form from "../Form";
/**
 * Dynamic value class.
 *
 * @since 1.0.0
 */
export default class DynamicValue {
    private form;
    private value;
    private valueField;
    private valueDefault;
    private valueCallback;
    /**
     * Initializing field.
     *
     * @param form Form object.
     * @param type Type of dynamic value.
     *
     * @since 1.0.0
     */
    constructor(form: Form, value: any, valueField: string, valueDefault: any, valueCallback: HasCallbackData);
    /**
     * Get value
     *
     * @param form Form object.
     * @param type Type of dynamic value.
     *
     * @since 1.0.0
     */
    get(): any;
}
